Alle Zeiten sind UTC + 1 Stunde [ Sommerzeit ]

 
Autor Nachricht
BeitragVerfasst: Fr 6. Januar 2017, 22:08 
PLUS-Mitglied PLUS-Mitglied
Benutzeravatar
Offline
Mitglied seit:
Fr 5. Oktober 2007, 20:47

BeitrÀge: 1644
Wohnort: Hamburg
Danke vergeben: 86 mal
Danke erhalten: 33 mal
Postleitzahl: 22399
Land: Deutschland
Seit Jahren lÀuft mein uralter XTC 3.x Shop so ruhig vor sich hin, und nun bekomme ich von meinem Provider (all-inkl) eine Mail, dass die benutzte PHP-Version (5.2) veraltet ist und zum 3. Februar abgeschaltet wird.

In meiner bodenlosen Unwissenheit habe ich die PHP-Version fĂŒr die PrĂ€senz mal hochgestellt, da hagelte es natĂŒrlich Fehlermeldungen.

Ich weiß, mein Shopsystem ist völlig veraltet, hat mir aber gereicht.
Wie kann ich das Shopsystem updaten oder updaten lassen, dass es mit einer neuern PHP-Version zurechtkommt? Wo finde ich UnterstĂŒtzung?

Ich mache im Jahr vielleicht noch 3K€ Umsatz mit dem Shopsystem und möchte eigentlich weder allzuviel Geld, noch allzuviel Zeit investieren...
Danke fĂŒr allte Tipps.

Sven


Nach oben
  
 
BeitragVerfasst: Fr 6. Januar 2017, 22:16 
PLUS-Mitglied PLUS-Mitglied
Benutzeravatar
Offline
Mitglied seit:
Fr 22. Oktober 2010, 17:52

BeitrÀge: 2998
Danke vergeben: 166 mal
Danke erhalten: 232 mal
Postleitzahl: 40627
Land: Deutschland
Firmenname: Xantiva.de
Branche: Entwickler, Shop Betreuung und Optimierung aber auch selber Seller!
Du kannst versuchen auf einen der XTC-Forks Gambio / Modified oder den Veyton umzusteigen? Da dĂŒrfte der Migrationsaufwand noch am geringsten sein. Aber wenn Du dafĂŒr schon jemanden bezahlen musst, dann musst Du Dich fragen, ob der Aufwand noch gerechtfertigt ist ...

_________________
Webs - Online Shop und Webs / ECB Support (forum.webs.de),
mein Bastelshop: basteln-selbermachen.de

Was soll die Plus - Mitgliedschaft hier im Forum?


Nach oben
  
 
BeitragVerfasst: Sa 7. Januar 2017, 13:59 
PLUS-Mitglied PLUS-Mitglied
Benutzeravatar
Offline
Mitglied seit:
Fr 5. Oktober 2007, 20:55

BeitrÀge: 2089
Danke vergeben: 21 mal
Danke erhalten: 83 mal
Postleitzahl: 64291
Land: Deutschland
Firmenname: collection23
Ich hatte mit meinem modified das gleiche Problem, bei mir war aber all-inkl frĂŒher dran ;-)
Shop-Update hĂ€tte wegen diverser Umbauten im Shop keinen Sinn gemacht und außerdem will ich schon seit mindestens einem Jahr auf HHG wechseln.

Ich konnte durch eine Codezeile von PHP 5.2 auf PHP 5.6 wechseln. Allerdings war mein modified nicht ganz so alt wie dein XTC. Aber eine Zeile Code ist auf jeden Fall einen Versuch wert.

Ich such die Änderung mal raus, kann aber Montag oder Dienstag werden.


Nach oben
  
 
BeitragVerfasst: Sa 7. Januar 2017, 14:28 
PLUS-Mitglied PLUS-Mitglied
Benutzeravatar
Offline
Mitglied seit:
So 22. Februar 2009, 09:08

BeitrÀge: 2716
Wohnort: NRW
Danke vergeben: 58 mal
Danke erhalten: 74 mal
Postleitzahl: 0
Land: Deutschland
bei mir hat allinkl am 1.1. umgeschaltet - mein alter modified-Shop lÀuft seitdem auch nicht mehr...

_________________
Viele GrĂŒĂŸe
Petra


Nach oben
  
 
BeitragVerfasst: Sa 7. Januar 2017, 14:30 
Moderator Moderator
Benutzeravatar
Offline
Mitglied seit:
Fr 5. Oktober 2007, 20:39

BeitrÀge: 643
Danke vergeben: 2 mal
Danke erhalten: 37 mal
Postleitzahl: 97082
Land: Deutschland
Firmenname: Michael Kreutzer
Branche: Afterbuy Schnittstellen fĂŒr modified, Gambio, Magento
Anwendungsentwicklung im eBusiness
Zitat:
bei mir hat allinkl am 1.1. umgeschaltet - mein alter modified-Shop lÀuft seitdem auch nicht mehr...


Welche modified-Version ist im Einsatz? PHP 5.5 oder PHP 5.6?

_________________
Afterbuy Schnittstellen fĂŒr Magento, modified und Gambio GX2, Shopware


Nach oben
  
 
BeitragVerfasst: Sa 7. Januar 2017, 14:32 
PLUS-Mitglied PLUS-Mitglied
Benutzeravatar
Offline
Mitglied seit:
So 22. Februar 2009, 09:08

BeitrÀge: 2716
Wohnort: NRW
Danke vergeben: 58 mal
Danke erhalten: 74 mal
Postleitzahl: 0
Land: Deutschland
Modified 1.0.6, aber einer der ersten von Anfang 2013 (danach keine Updates mehr)

Das ist aber nicht so dramatisch, weils nur mein alter Shop ist, den ich mal aufgehoben habe, falls ich noch mal was nachsehen will...

Bin im April von modified zu JTL Shop 4 gewechselt, der JTL-Shop hat mit dem Wechsel natĂŒrlich kein Problem.

_________________
Viele GrĂŒĂŸe
Petra


Nach oben
  
 
BeitragVerfasst: Sa 7. Januar 2017, 17:45 
PLUS-Mitglied PLUS-Mitglied
Benutzeravatar
Offline
Mitglied seit:
Di 11. Dezember 2007, 17:10

BeitrÀge: 1678
Danke vergeben: 114 mal
Danke erhalten: 57 mal
Postleitzahl: 30855
Land: Deutschland
Wir sind bereits letztes Jahr Ostern von XT:C 3.04 auf Gambio gewechselt. War gar nicht soooo dramatisch mit den Daten da Gambio ein Tool dafĂŒr anbietet (Importassistent), was die Daten (Content, Artikel, Kategorien, Bilder usw) aus dem alten Shop ĂŒbernimmt und in den neuen GX importiert. Wir mußten dann nur noch kleiner Anpassungen machen. Das Desgin muß aber auf alle fĂ€lle neu.

PS: Aktuell arbeiten wir daran das der Shop bald auf PHP 7 lÀuft ;-)


Nach oben
  
 
BeitragVerfasst: So 8. Januar 2017, 20:22 
PLUS-Mitglied PLUS-Mitglied
Benutzeravatar
Offline
Mitglied seit:
Fr 5. Oktober 2007, 20:55

BeitrÀge: 2089
Danke vergeben: 21 mal
Danke erhalten: 83 mal
Postleitzahl: 64291
Land: Deutschland
Firmenname: collection23
So, habÂŽs gefunden. Ich habe an den Anfang der .htaccess folgende Zeile hinzugefĂŒgt:
Code:
php_value default_charset ISO-8859-15


Nach oben
  
 
BeitragVerfasst: Mo 9. Januar 2017, 19:06 
PLUS-Mitglied PLUS-Mitglied
Benutzeravatar
Offline
Mitglied seit:
Fr 5. Oktober 2007, 20:47

BeitrÀge: 1644
Wohnort: Hamburg
Danke vergeben: 86 mal
Danke erhalten: 33 mal
Postleitzahl: 22399
Land: Deutschland
Danke, habe es ausprobiert, funktioniert leider nicht :?

Ich werde jetzt wohl einen einfachen Afterbuy-Shop aufbauen, da ich sowieso mit Afterbuy arbeite. Ob ich das bis zum 3. Februar schaffe, steht in den Sternen.


Nach oben
  
 
BeitragVerfasst: Mo 9. Januar 2017, 19:20 
Moderator Moderator
Benutzeravatar
Offline
Mitglied seit:
Fr 5. Oktober 2007, 20:39

BeitrÀge: 643
Danke vergeben: 2 mal
Danke erhalten: 37 mal
Postleitzahl: 97082
Land: Deutschland
Firmenname: Michael Kreutzer
Branche: Afterbuy Schnittstellen fĂŒr modified, Gambio, Magento
Anwendungsentwicklung im eBusiness
collection23 hat geschrieben:
So, habÂŽs gefunden. Ich habe an den Anfang der .htaccess folgende Zeile hinzugefĂŒgt:
Code:
php_value default_charset ISO-8859-15


Das Àndert aber nur den Zeichensatz, die PHP-Version stellt man so um:

Code:
AddHandler php55-cgi .php

_________________
Afterbuy Schnittstellen fĂŒr Magento, modified und Gambio GX2, Shopware


Nach oben
  
 
BeitragVerfasst: Mo 9. Januar 2017, 19:21 
PLUS-Mitglied PLUS-Mitglied
Benutzeravatar
Offline
Mitglied seit:
Fr 5. Oktober 2007, 20:55

BeitrÀge: 2089
Danke vergeben: 21 mal
Danke erhalten: 83 mal
Postleitzahl: 64291
Land: Deutschland
Firmenname: collection23
Es gibt auch Hoster, bei denen PHP 5.2 noch verfĂŒgbar ist. Das wĂ€re eventuell auch eine Überlegung wert.


Nach oben
  
 
BeitragVerfasst: Mo 9. Januar 2017, 19:27 
PLUS-Mitglied PLUS-Mitglied
Benutzeravatar
Offline
Mitglied seit:
Fr 5. Oktober 2007, 20:55

BeitrÀge: 2089
Danke vergeben: 21 mal
Danke erhalten: 83 mal
Postleitzahl: 64291
Land: Deutschland
Firmenname: collection23
Zitat:
Das Àndert aber nur den Zeichensatz

Ich habe nur geschrieben, was ich bei meinem modified geĂ€ndert habe, damit es mit PHP 5.6 lĂ€uft. NatĂŒrlich muss die PHP Version separat umgestellt werden. Aber "AddHandler php52-cgi .php" gibt es bei Sven ab Februar nicht mehr und bei 5.6 lĂ€uft der Shop nicht.


Nach oben
  
 
BeitragVerfasst: Mo 9. Januar 2017, 19:28 
Moderator Moderator
Benutzeravatar
Offline
Mitglied seit:
Fr 5. Oktober 2007, 20:39

BeitrÀge: 643
Danke vergeben: 2 mal
Danke erhalten: 37 mal
Postleitzahl: 97082
Land: Deutschland
Firmenname: Michael Kreutzer
Branche: Afterbuy Schnittstellen fĂŒr modified, Gambio, Magento
Anwendungsentwicklung im eBusiness
Meiner Meinung nach aus SicherheitsgrĂŒnden nicht zu empfehlen, da der Support fĂŒr PHP 5.2 bereits vor Jahren eingestellt wurde.

_________________
Afterbuy Schnittstellen fĂŒr Magento, modified und Gambio GX2, Shopware


Nach oben
  
 
BeitragVerfasst: Mo 9. Januar 2017, 19:32 
PLUS-Mitglied PLUS-Mitglied
Benutzeravatar
Offline
Mitglied seit:
Di 11. Dezember 2007, 17:10

BeitrÀge: 1678
Danke vergeben: 114 mal
Danke erhalten: 57 mal
Postleitzahl: 30855
Land: Deutschland
Auch die Hoster die noch 5.2 anbieten werden ĂŒber Kurz oder Lang updaten/abschalten.


Nach oben
  
 
BeitragVerfasst: Mo 9. Januar 2017, 19:35 
PLUS-Mitglied PLUS-Mitglied
Benutzeravatar
Offline
Mitglied seit:
Fr 5. Oktober 2007, 20:55

BeitrÀge: 2089
Danke vergeben: 21 mal
Danke erhalten: 83 mal
Postleitzahl: 64291
Land: Deutschland
Firmenname: collection23
Zitat:
Auch die Hoster die noch 5.2 anbieten werden ĂŒber Kurz oder Lang updaten/abschalten.

NatĂŒrlich ist das keine Lösung fĂŒr die Ewigkeit. Aber fĂŒr die Zeit, bis der AB-Shop fertig ist, sollte es reichen.


Nach oben
  
 
BeitragVerfasst: Mo 9. Januar 2017, 23:23 
PLUS-Mitglied PLUS-Mitglied
Offline
Mitglied seit:
Di 4. September 2012, 13:23

BeitrÀge: 2073
Danke vergeben: 50 mal
Danke erhalten: 576 mal
Postleitzahl: 0
Land: Deutschland
Der Support Cycle fĂŒr die PHP Versionen ist eigentlich viel zu kurz. PHP 7.0 wurde vor einem Jahr veröffentlich. Mein Hoster hat es vor einem halben Jahr angeboten. Letzte Woche war ich mit der Umstellung meines Shop Systems fertig. In 10 Monaten lĂ€uft der normale Support fĂŒr PHP 7.0 schon wieder aus.
http://php.net/supported-versions.php


Nach oben
  
 
BeitragVerfasst: Di 10. Januar 2017, 09:44 
Moderator Moderator
Benutzeravatar
Offline
Mitglied seit:
Fr 5. Oktober 2007, 20:39

BeitrÀge: 643
Danke vergeben: 2 mal
Danke erhalten: 37 mal
Postleitzahl: 97082
Land: Deutschland
Firmenname: Michael Kreutzer
Branche: Afterbuy Schnittstellen fĂŒr modified, Gambio, Magento
Anwendungsentwicklung im eBusiness
Das heißt nur, dass keine neuen Features mehr ergĂ€nzt werden.
Bugfixes enden bei PHP 7.0 erst am 03. Dezember 2018

_________________
Afterbuy Schnittstellen fĂŒr Magento, modified und Gambio GX2, Shopware


Nach oben
  
 
BeitragVerfasst: Di 10. Januar 2017, 23:32 
Benutzeravatar
Offline
Mitglied seit:
Sa 13. Oktober 2007, 16:25

BeitrÀge: 1128
Danke vergeben: 13 mal
Danke erhalten: 4 mal
Postleitzahl: 0
Land: Deutschland
2018 ist gleich viel lĂ€nger 😒


Nach oben
  
 
BeitragVerfasst: Di 10. Januar 2017, 23:50 
PLUS-Mitglied PLUS-Mitglied
Benutzeravatar
Offline
Mitglied seit:
Fr 22. Oktober 2010, 17:52

BeitrÀge: 2998
Danke vergeben: 166 mal
Danke erhalten: 232 mal
Postleitzahl: 40627
Land: Deutschland
Firmenname: Xantiva.de
Branche: Entwickler, Shop Betreuung und Optimierung aber auch selber Seller!
Man muss PHP aber mal zugute halten, dass normalerweise eine Software beim Versionswechsel nicht gleich den Geist aufgibt! Meistens sind es neue Funktionen die hinzukommen oder Optimierungen in Speicherverbrauch und Performance, die sich verbessern. Wenn sich Funktionen Ă€ndern, werden diese erst mal 1 bis 2 Versionen vorher abgekĂŒndigt, bevor die tatsĂ€chlich weg sind.

Und ein xtc 3.04 SP2.1 ist inzwischen ĂŒber 9 Jahre alt? Gerade mal in ein altes Archiv geschaut, die letzte Änderung war am 25.11.2007 - selbst ein Windows XP SP3 ist da jĂŒnger.

_________________
Webs - Online Shop und Webs / ECB Support (forum.webs.de),
mein Bastelshop: basteln-selbermachen.de

Was soll die Plus - Mitgliedschaft hier im Forum?


Nach oben
  
 
BeitragVerfasst: Mi 11. Januar 2017, 00:29 
Offline
Mitglied seit:
Do 11. Februar 2016, 00:59

BeitrÀge: 26
Danke vergeben: 0 mal
Danke erhalten: 4 mal
Postleitzahl: 28219
Land: Deutschland
Firmenname: Gambio GmbH
Branche: Shopsystemanbieter
Naja... mit der Betreibbarkeit der alten PHp Versionen ist das irgendwo auch schon allein ĂŒber SicherheitslĂŒcken begrent. Immer ganz insteressant dazu:

http://www.cvedetails.com/version-list/ ... P-PHP.html

Da kann man sich fein sĂ€uberlich anschauen welche LĂŒcken in welchen Versionen klaffen, und fĂŒr PHP 5.2.17 sinds immer 38....


Nach oben
  
 
BeitrĂ€ge der letzten Zeit anzeigen:  Sortiere nach  
Ein neues Thema erstellen Auf das Thema antworten  [ 20 BeitrĂ€ge ] 


Moderator: mickser*de


Alle Zeiten sind UTC + 1 Stunde [ Sommerzeit ]


Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 4 GĂ€ste


Du darfst keine neuen Themen in diesem Forum erstellen.
Du darfst keine Antworten zu Themen in diesem Forum erstellen.
Du darfst deine BeitrÀge in diesem Forum nicht Àndern.
Du darfst deine BeitrÀge in diesem Forum nicht löschen.
Du darfst keine DateianhÀnge in diesem Forum erstellen.

Gehe zu:  
sellerforum.de Impressum:  

Sebastian Feuster - sellerforum.de
Am Kirchberg 9 - 54550 Daun-Neunkirchen

Kundenservice Mo-Fr
Tel: 06592-5741101  Fax: 06592-5741109 
Mail:

USt-ID DE215005895
Like us @ facebook

Feed    FAQ  

sellerforum.de is powered by phpBB.com and Domainfactory.de / Deutsche Übersetzung durch phpBB.de